Bug 1260401 - Google email account not working in longer running sessions (goa-daemon restart fixes things)
Google email account not working in longer running sessions (goa-daemon resta...
Status: CLOSED DUPLICATE of bug 1395728
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-online-accounts (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
:
Depends On: gnome-online-accounts-rebase
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 08:25 EDT by David Jaša
Modified: 2017-03-10 15:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 15:22:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 751524 None None None 2016-11-15 07:31 EST

  None (edit)
Description David Jaša 2015-09-06 08:25:07 EDT
Description of problem:
I usually just suspend the laptop and resume it in different location. Sometimes, google account in evolution doesn't come up again. Executing /usr/libexec/goa-daemon --replace fixes things, restart of evolution* processes does not (thus assigning to g-o-a)

Version-Release number of selected component (if applicable):
gnome-online-accounts-3.14.4-2.el7.x86_64
evolution-3.12.11-15.el7.x86_64
evolution-data-server-3.12.11-23.el7.x86_64

How reproducible:
frequent (but takes time or network changes to hit the bug)

Steps to Reproduce:
1. configure google account in gnome-online-accounts
2. use the desktop in different locations
3.

Actual results:
at some point of time (or network location change), google email account won't come up again (showing red mark at the status icon in Evolution tree view)

Expected results:
google account works seamlessly

Additional info:
what are the debug variables for goa-daemon?
Comment 1 David Jaša 2015-10-01 15:15:38 EDT
So I managed to hit the bug. When the bug happens, goa prints for google accounts this:

(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1438345019_2
(goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials (expires in -8462 seconds, force_refresh=0)
(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1431960086_3
(goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials (expires in -10202 seconds, force_refresh=0)


FWIW, most creds refreshes look like this:
(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1438345019_2
(goa-daemon:21913): GoaBackend-DEBUG: Returning locally cached credentials (expires in 3090 seconds)
(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1431960086_3
(goa-daemon:21913): GoaBackend-DEBUG: Returning locally cached credentials (expires in 1350 seconds)

And these with force refreshes also work:
(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1438345019_2
(goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials (expires in -8462 seconds, force_refresh=0)
(goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id: account_1431960086_3
(goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials (expires in -10202 seconds, force_refresh=0)


So some kind of integer overflow?
Comment 2 Andrew Dingman 2015-12-15 15:47:36 EST
I see the same behavior on Fedora 23.
Comment 3 Andrew Dingman 2015-12-15 15:56:20 EST
I think this may be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1259434
Comment 4 Andrew Dingman 2015-12-15 16:16:56 EST
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=759515
Comment 6 David Jaša 2016-11-14 13:47:36 EST
It's been fixed for a year already upstream, could we have a backport for 7.4, please?
Comment 7 Debarshi Ray 2016-11-15 07:35:45 EST
(In reply to David Jaša from comment #6)
> It's been fixed for a year already upstream, could we have a backport for
> 7.4, please?

Sure. It will be fixed as part of bug 1386953.
Comment 8 Debarshi Ray 2017-03-10 15:22:49 EST
> what are the debug variables for goa-daemon?

This is now in place:
https://wiki.gnome.org/Projects/GnomeOnlineAccounts/Debugging

(In reply to David Jaša from comment #1)
> So I managed to hit the bug. When the bug happens, goa prints for google
> accounts this:
> 
> (goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id:
> account_1438345019_2
> (goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials
> (expires in -8462 seconds, force_refresh=0)
> (goa-daemon:21913): GoaBackend-DEBUG: Retrieved keyring credentials for id:
> account_1431960086_3
> (goa-daemon:21913): GoaBackend-DEBUG: Refreshing locally cached credentials
> (expires in -10202 seconds, force_refresh=0)

These negative time intervals are definitely useful information! Thanks, David.

(In reply to Andrew Dingman from comment #3)
> I think this may be a duplicate of
> https://bugzilla.redhat.com/show_bug.cgi?id=1259434

(In reply to Andrew Dingman from comment #4)
> Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=759515

(In reply to David Jaša from comment #6)
> It's been fixed for a year already upstream, could we have a backport for
> 7.4, please?

If that's indeed the case, then this is a duplicate of 1395728.

If it isn't, then please file another bug, and look for things like negative intervals in the logs.

*** This bug has been marked as a duplicate of bug 1395728 ***

Note You need to log in before you can comment on or make changes to this bug.